package v1

import (
	"github.com/gin-gonic/gin"
	"spahl.ddns.net/jasper/wok-able-backend/auth"
	"spahl.ddns.net/jasper/wok-able-backend/controllers/v1/card"
	"spahl.ddns.net/jasper/wok-able-backend/controllers/v1/carddeck"
)

func Setup(r *gin.RouterGroup) {
	r.Use(auth.GetUser())
	carddeck.Setup(r.Group("/carddeck"))
	card.Setup(r.Group("/card"))
}
